> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openpage.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Update experience



## OpenAPI

````yaml https://api.openpage.fun/v1/docs.json patch /community/{id}/experience/{experienceId}
openapi: 3.0.0
info:
  title: OpenPage API Reference
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://api.openpage.fun/v1
security: []
tags:
  - name: Launcher
    description: >-
      Launcher endpoints are used to interact with your embedded or external
      experiences.


      **Launcher endpoints require setting up a Community Experience.**


      See: [Community
      Experiences](/api-reference/community-experiences/create-experience)
  - name: Communities
    description: >-
      Community endpoints are used to retrieve information about your
      Communities and associated members.


      **Community API endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Badges
    description: >-
      Community Badge endpoints are used to create and manage badges, their
      associated rewards, and member attributions.


      **Community Badge endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Files
    description: >-
      Community File endpoints are used to create and manage files used for
      Badges and Collections.


      **Community File endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Experiences
    description: >-
      Community Experience endpoints are used to create and manage experiences.


      **Community Experience endpoints require an API key obtained from the
      Community dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
paths:
  /community/{id}/experience/{experienceId}:
    patch:
      tags:
        - Community Experiences
      summary: Update experience
      operationId: CommunityExperienceController_update
      parameters:
        - name: id
          required: true
          in: path
          description: Community ID
          schema:
            type: string
        - name: experienceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateExperienceDto'
      responses:
        '200':
          description: The experience has been successfully updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExperienceDto'
        '404':
          description: Experience not found
      security:
        - apiKey: []
components:
  schemas:
    UpdateExperienceDto:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
        imageUrl:
          type: string
        bannerUrl:
          type: string
        codeUrl:
          type: string
        startDate:
          format: date-time
          type: string
        endDate:
          format: date-time
          type: string
      required:
        - name
        - description
        - imageUrl
        - bannerUrl
        - codeUrl
        - startDate
        - endDate
    ExperienceDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        public:
          type: boolean
        secret:
          type: string
        imageUrl:
          type: string
        bannerUrl:
          type: string
        experienceUrl:
          type: string
        serverId:
          type: string
        serverStatus:
          type: string
          enum:
            - active
            - inactive
        codeUrl:
          type: string
        startDate:
          format: date-time
          type: string
        endDate:
          format: date-time
          type: string
        type:
          type: string
          enum:
            - web
            - mml
            - unity
            - instant
        communityId:
          type: string
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
        leaderboard:
          $ref: '#/components/schemas/ExperienceLeaderboardDto'
      required:
        - id
        - name
        - description
        - public
        - secret
        - imageUrl
        - bannerUrl
        - experienceUrl
        - serverId
        - serverStatus
        - codeUrl
        - startDate
        - endDate
        - type
        - communityId
        - createdAt
        - updatedAt
    ExperienceLeaderboardDto:
      type: object
      properties:
        badgeId:
          type: string
        metric:
          type: string
          description: >-
            The metric to use for the leaderboard. This key must be present in
            the badge metadata.
        direction:
          type: string
          enum:
            - ASC
            - DESC
        totalPlays:
          type: number
        prizes:
          type: array
          items:
            $ref: '#/components/schemas/ExperienceLeaderboardPrizeDto'
      required:
        - badgeId
        - metric
        - direction
    ExperienceLeaderboardPrizeDto:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
        imageUrl:
          type: string
      required:
        - name
        - description
        - imageUrl
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````